Bug 98950 - login record in /var/log/wtmp contains wrong IP&host
login record in /var/log/wtmp contains wrong IP&host
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: SysVinit (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-10 16:17 EDT by Yu Fan
Modified: 2014-03-16 22:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-28 01:24:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yu Fan 2003-07-10 16:17:59 EDT
Description of problem:
The login (from tty) record in /var/log/wtmp contains wrong IP&host information which seem to be copied from previous login (from pst, the same terminal number) record.

Version-Release number of selected component (if applicable):
SysVinit-2.78-19

How reproducible:
always

Steps to Reproduce:
1. telnet and login to the host, type "utmpdump /var/log/wtmp", the last record shows IP and host are correct:
2. If the telnet session uses terminal pst/#, go to vrtual terminal # (CTRL-ALT-F#) and login. (make sure both login sessions use the same terminal number. e.g. if the telnet session uses pst/2, the virtual terminal login session should use tty2)
3. type "utmpdump /var/log/wtmp" again, the last record (from virtual terminal) is wrong (the IP/host is copied from the previous record):


    
Actual results:

[7] [05162] [2   ] [mammo   ] [pts/2       ] [fake.r2mfg      ] [10.0.1.10      ] [Thu Jul 10 00:37:56 2003 PDT]
[7] [05160] [2   ] [yfan    ] [tty2        ] [fake.r2mfg      ] [10.0.1.10      ] [Thu Jul 10 00:38:05 2003 PDT]

Expected results:

[7] [05162] [2   ] [mammo   ] [pts/2       ] [fake.r2mfg      ] [10.0.1.10      ] [Thu Jul 10 00:37:56 2003 PDT]
[7] [05160] [2   ] [yfan    ] [tty2        ] [                     ] [0.0.0.0      ] [Thu Jul 10 00:38:05 2003 PDT]

Additional info:

Because of this, the results from commands "who -l", "last", "finger" are wrong. "who -l" even shows that "pst/2" is gone.
Comment 1 Yu Fan 2003-07-10 16:22:09 EDT
This bug may have the same root cause for bugs 43690, 98659, and 82540.
Comment 2 Bill Nottingham 2005-01-28 01:24:38 EST
Closing out unresolved bugs on older, end-of-lifed releases.
Apologies for any lack of response.

Can't reproduce this on FC3.
Comment 3 C-DAC NetOps 2005-04-20 04:06:25 EDT
It is surprising that that are so many bugs STILL UNRESOLVED related to 
SysVinit on the Bugzilla ..

It is creating for some very embarassing situations for System Admin teams .

I am surprised how Redhat can leave such an important bug unresolved and for 
so long.... and what this does to Redhat's reputation 

Pls have a bugfix on this asap ..

Comment 4 Mahesh S 2005-04-20 05:21:12 EDT
We are having Red Hat AS 2.1 at Ind-Telesoft, Bangalore, we are facing the 
same problem here & we are also extremely surprised that Red Hat has not fixed 
this bug   so far.

Please fix this bug & provide us the solution.
Comment 5 Yu Fan 2005-04-20 13:27:29 EDT
I notice that it's fixed in FC1. Apprently RedHat was aware of this issue and
took an action in newer release since they're not goging to support legacy
releases anymore. So you'd better upgrade to FC.

Note You need to log in before you can comment on or make changes to this bug.